Bug 971572 - heat appears to be leaking qpid exchanges
heat appears to be leaking qpid exchanges
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
Unspecified Unspecified
high Severity high
: rc
: 3.0
Assigned To: Steven Dake
Ami Jeain
Depends On:
  Show dependency treegraph
Reported: 2013-06-06 16:21 EDT by Flavio Percoco
Modified: 2016-04-26 13:29 EDT (History)
13 users (show)

See Also:
Fixed In Version: openstack-heat-2013.1.2-5.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, multiple qpid exchanges were created by Heat but not removed if not required, leading to system out of memory errors. This has been fixed by appropriate configuration so that unnecessary qpid exchanges are removed
Story Points: ---
Clone Of: 960539
Last Closed: 2013-06-27 13:16:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Flavio Percoco 2013-06-06 16:21:15 EDT
+++ This bug was initially created as a clone of Bug #960539 +++

From RDO forum user bostrick: http://openstack.redhat.com/forum/discussion/85/is-nova-conductor-leaking-qpid-exchanges

Description of problem: After several hours of operation, there are a large number of qpid exchanges in existence, with a new one being created every ~10s.

To reproduce:
* Start OpenStack
* After a while, run qpid-stat -e lists open exchanges.

Actual results: Many exchanges reported.

Expected results: Few/no exchanges reported

Additional info:

qpid-printevents is displaying transactions similar to the following every 10 secs:

org.apache.qpid.broker:exchangeDeclare ... exName=d75b1d8f76ea46eead02b7480dd28cdf ...
org.apache.qpid.broker:queueDeclare ... qName=d75b1d8f76ea46eead02b7480dd28cdf ...
org.apache.qpid.broker:bind ... exName=d75b1d8f76ea46eead02b7480dd28cdf ...
org.apache.qpid.broker:subscribe ... qName=d75b1d8f76ea46eead02b7480dd28cdf ...
org.apache.qpid.broker:unsubscribe ...
org.apache.qpid.broker:queueDelete ... qName=d75b1d8f76ea46eead02b7480dd28cdf

notably missing is a complement to "exchangeDeclare" to clean it up.

tracing qpid client ports, nova-conductor seems to be the culprit.

--- Additional comment from David Ripton on 2013-06-06 16:12:52 EDT ---

Related upstream bugs:

Comment 8 Ami Jeain 2013-06-17 08:31:16 EDT
# qpid-stat -e |wc -l
# qpid-stat -e |wc -l
Comment 11 errata-xmlrpc 2013-06-27 13:16:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.